#
# spec file for package perl-Authen-PAM (Version 0.14)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?perlgen:%define perlgen 5.8}
Summary:        Authen-PAM Perl module

Name:           perl-Authen-PAM
Version:        0.14
Release:        1.4
License:        Artistic License; GPL v2 or later
Group:          Development/Libraries
Url:            http://search.cpan.org/dist/Authen-PAM/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
Requires:       perl = %{perl_version}
%else
Requires:       %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires:       %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires:       %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')
%endif
Source0:        Authen-PAM-0.14.tar.gz
BuildRequires:  pam-devel
%if "%{perlgen}" == "5.8"
BuildRequires:  perl >= 5.8.0
%else
BuildRequires:  perl >= 5.6.0
%endif

%description
Authen-PAM Perl module.



%{summary}.

%prep
%setup -q -n Authen-PAM-%{version}

%build
%if "%{perlgen}" == "5.8"
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} installdirs=vendor
%else
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL installdirs=vendor
%endif

make OPTIMIZE="$RPM_OPT_FLAGS"
#make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT$installarchlib

%if "%{perlgen}" == "5.8"
make install
%else
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}
%endif

rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-%{release}-filelist
if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root,-)
%dir %perl_vendorarch/Authen
%dir %perl_vendorarch/auto/Authen
%dir %perl_vendorarch/auto/Authen/PAM
%doc Changes README

%changelog
* Thu Dec  9 2010 mc@suse.de
- initial release
